package com.bwie.common.domain;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 添加商品的图片及其图片类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_spu_images")
public class GoodsSpuImages {
    @TableField("id")
    private Long id;//正常主键的ID
    @TableField("spuId")
    private Long spuId;//spuId
    @TableField("url")
    private String url;//图片的路径
    @TableField("default_status")
    private Integer defaultStatus;//(0.封面图,1.轮播图)
}
