package com.bwie.alipay.vo;
import lombok.Data;
import lombok.ToString;
import java.util.List;
/**
 *
 */
@ToString
@Data
public class OrderSnRequest {
    private AlipayTradeQueryResponseBean alipay_trade_query_response;
    private String sign;
    @ToString
    @Data
    public static class AlipayTradeQueryResponseBean {
        private String code;
        private String msg;
        private String trade_no;
        private String out_trade_no;
        private String buyer_logon_id;
        private String trade_status;
        private String total_amount;
        private String buyer_pay_amount;
        private String point_amount;
        private String invoice_amount;
        private String send_pay_date;
        private String receipt_amount;
        private String store_id;
        private String terminal_id;
        private String store_name;
        private String buyer_user_id;
        private String buyer_open_id;
        private String buyer_user_type;
        private String mdiscount_amount;
        private String discount_amount;
        private String ext_infos;
        private List<FundBillListBean> fund_bill_list;
        @ToString
        @Data
        public static class FundBillListBean {
            private String fund_channel;
            private String amount;
            private String real_amount;
        }
    }
}
