package com.bwie.team.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.GoodsSpuImages;
import com.bwie.common.result.Result;
import com.bwie.team.mapper.GoodsSpuImageMapper;
import com.bwie.team.service.GoodsSpuImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GoodsSpuImageServiceImpl extends ServiceImpl<GoodsSpuImageMapper, GoodsSpuImages> implements GoodsSpuImageService {


    @Autowired
    private GoodsSpuImageMapper goodsSpuImageMapper;


    @Override
    public Result addImage(GoodsSpuImages goodsSpuImages){
        goodsSpuImages.setDefaultStatus(0);
        Integer i = goodsSpuImageMapper.insert(goodsSpuImages);

        return Result.success(i>0?200:500,i>0?"添加成功!!!!!":"添加失败!!!!!");
    }

    @Override
    public Result addImages(GoodsSpuImages goodsSpuImages){
        Integer i = goodsSpuImageMapper.addImages(goodsSpuImages);
        return Result.success(i>0?200:500,i>0?"添加成功!!!!!!":"添加失败!!!!!");
    }






}
