package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品的类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_category")
public class GoodsCateGory {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;//正常的Id
    @TableField("name")
    private String name;//名称
    @TableField("parent_id")
    private Long parentId;//父类ID
    @TableField("status")
    private Long status;//是否显示(0.不显示,1.显示)
}
