package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 *登录表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("user")
public class User {


    private Long userId;//用户名Id
    private String userName;//用户名
    private String userPwd;//密码
    private String userPhone;//手机号
    private Integer userRole;//角色
    private Integer userGrade;//用户等级
    private Date createTime;//创建时间
    private Date updateTime;//修改时间
    private Integer isDelete;//逻辑删除

}
