package com.bwie.team.service.impl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.GoodSpu;
import com.bwie.common.result.Result;
import com.bwie.team.mapper.GoodsSpuMapper;
import com.bwie.team.service.GoodsSpuService;
import com.bwie.team.utils.FastUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
@Service
public class GoodsSpuServiceImpl extends ServiceImpl<GoodsSpuMapper, GoodSpu> implements GoodsSpuService {
    @Autowired
    private GoodsSpuMapper goodsSpuMapper;

    @Autowired
    private FastUtil fastUtil;
    /**
     * 正常的链表
     * @return
     */
    @Override
    public List<GoodSpu> shouall(){
        LambdaQueryWrapper<GoodSpu> goodSpuLambdaQueryWrapper = new LambdaQueryWrapper<>();
        List<GoodSpu> goodSpus = goodsSpuMapper.selectList(goodSpuLambdaQueryWrapper);
        List<GoodSpu> list = this.list();
        return list;
    }
    /**
     * 商品的添加
     * @param goodSpu
     * @return
     */
    @Override
    public Result addGoodSpu(GoodSpu goodSpu){
        Integer insert = goodsSpuMapper.addGoodSpu(goodSpu);
        return Result.success(insert>0?200:500,insert>0?"添加成功!!!!":"添加失败!!!!!");
    }
//    @Override
//    public Result addImage(MultipartFile multipartFile){
//        String img = "";
//        try {
//            img = fastUtil.upload(multipartFile);
//        } catch (Exception e) {
//            throw new RuntimeException(e);
//        }
//        return Result.success("http:");
//    }
}
